package com.zhiwei.manage.service;

import java.util.List;

import org.springframework.stereotype.Component;

import com.zhiwei.manage.bean.PageEty;
import com.zhiwei.manage.bean.Person;

@Component
public interface PersonService {

	public boolean insert(Person person);

	public boolean update(Person person);

	/**
	 * 分页查询用户信息
	 * 
	 * @param pageNo
	 * @param pageSize
	 * @param lv
	 * @return
	 */
	public PageEty findAll(int pageNo, int pageSize, int lv);

	/**
	 * 根据用户id查询用户信息
	 * 
	 * @param personId
	 * @return
	 */
	public Person findById(String personId);

	/**
	 * 删除用户信息
	 * 
	 * @param personId
	 * @return
	 */
	public boolean delete(List<String> personId);

	/**
	 * 登录操作，验证用户名密码
	 * 
	 * @param username
	 * @param password
	 * @return
	 */
	public Person login(String username, String password);

	/**
	 * 根据用户名分页查询
	 * 
	 * @param username
	 * @param pageNo
	 * @param pageSize
	 * @param lv
	 * @return
	 */
	public PageEty findByUserName(String username, int pageNo, int pageSize, int lv);

}
